/* -------------main menu-------------- */


/* ---------- */

.main_menu_box {
    display: flex;
    justify-content: left;
    padding-left: 30px;
    align-items: center;
}

.menu_line_1,
.menu_line_2,
.menu_line_3 {
    background: #fff;
    height: 2px;
    width: 30px;
    margin: 7px 0;
    border-radius: 10px;
}

.menu_line_2 {
    width: 25px !important;
}

.menu_line_3 {
    width: 20px !important;
}

.main_menu_box_inr {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.menu_txt_box_inr {
    line-height: 1;
    padding-left: 20px;
}


/* --------desktop--------- */
.desktop_menu_col_1 {
    display: flex;
    align-items: center;
}

.desktop_menu {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.desktop_menu_box {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 11;
    margin-right: 0 !important;
    right: 0;
    background: #222 !important;
}

.desktop_menu_box {
    padding: 0px !important;
}

.desktop_menu_box_row {
    padding: 0px !important;
    width: 100% !important;
    max-width: 100% !important;
}

.desktop_menu_col_1,
.desktop_menu_col_2 {
    transition-delay: 0.2s;
}

.desktop_menu_col {
    background: none;
    clip-path: inset(0 0 0 100%);
    position: relative;
    transition: clip-path 1s cubic-bezier(0.76, 0, 0.24, 1);
}

.desktop_menu_box {
    background: none;
    clip-path: inset(0 0 0 100%);
    position: relative;
    transition: clip-path 1s cubic-bezier(0.76, 0, 0.24, 1);
    position: fixed;
}

.open_menu_box {
    clip-path: inset(0 0 0 0) !important;
}

.open_menu_box .desktop_menu_col {
    clip-path: inset(0 0 0 0) !important;
}

.desktop_menu_box_row {
    height: 100vh !important;
}


/* ---------- */

.menu_close_block {
    position: absolute;
    top: 10px;
    right: 20px;
    left: auto;
    z-index: 9;
}

.menu_close_icon {
    display: flex;
    background: #fff;
    width: 40px;
    height: 40px;
    border-radius: 100%;
    cursor: pointer;
}

.menu_close_icon svg {
    height: 25px;
    width: 25px;
    margin: auto;
}

.desktop_menu_img img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
}

.desktop_menu {
    height: 100vh;
    background: #222 !important;
    padding: 0 !important;
}


@media all and (min-width: 320px) and (max-width: 767px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 30px;
    }

    .desktop_menu_col {
        width: 100% !important;
    }

    .desktop_menu_img {
        display: none;
    }

    .contact_detail_col_box li:nth-child(2) .cnt_dtl_block {
        padding: 20px 0 !important;
    }

    .cnt_dtl_icon_inr {
        width: 50px;
        height: 50px;
    }

    .desktop_menu_box {
        padding-top: 55px !important;
    }

    .menu_close_icon {
        width: 30px;
        height: 30px;
    }

    .menu_close_icon svg {
        height: 15px;
        width: 15px;
    }
}

@media all and (min-width: 768px) and (max-width: 980px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 40px;
    }

    .desktop_menu_col {
        width: 50% !important;
    }

    .contact_detail_col_box li:nth-child(2) .cnt_dtl_block {
        padding: 20px 0 !important;
    }

    .cnt_dtl_icon_inr {
        width: 65px;
        height: 65px;
    }

    .desktop_menu_box {
        padding-top: 55px !important;
    }

}

@media all and (min-width: 981px) and (max-width: 1024px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 52px;
    }
}

@media all and (min-width: 1025px) and (max-width: 1140px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 52px;
    }
}

@media all and (min-width: 1141px) and (max-width: 1280px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 52px;
    }
}

@media all and (min-width: 1281px) and (max-width: 1440px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 52px;
    }
}

@media all and (min-width: 1441px) and (max-width: 1680px) {
    .cnt_dtl_main_ttl.site_ttl {
        font-size: 52px;
    }
}

@media all and (min-width: 1681px) and (max-width: 1880px) {}